<table class="table table-hover table-responsive">
  <thead>
    <tr>
      <th *ngFor="let col of columns">
        {{col.split(regex).join(" ")}}
      </th>
      <th *ngIf="mostarEditar || mostarEliminar">
        Acciones
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let char of bodydata">
      <td *ngFor="let col of columns">
        {{char[col]}}
      </td>
      <td>
        <button type="button" *ngIf="mostarEditar" (click)="Editar(char)" class="btn btn-round btn-info"> <i class="fa fa-edit"></i>
          Editar</button>
        <button type="button" *ngIf="mostarEliminar" (click)="Eliminar(char)" class="btn btn-round btn-danger"> <i
            class="fa fa-remove"></i> Eliminar</button>
      </td>
    </tr>
  </tbody>
</table>